/*
 * Copyright © 2009 Perseus Project - Tufts University <http://www.perseus.tufts.edu>
 *
 * This file is part of UniCollatorPerseus.
 *
 * OcroPerseus is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * OcroPerseus is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with OcroPerseus.  If not, see <http://www.gnu.org/licenses/>.
 */

package eu.himeros.script

import eu.himeros.ocr.ErrorEvaluator

def edits=["gulick"]
def pages=["1","2","3","4","5"]
def engines=["al-", "ab-","an-","oc-"]
def trans="/apps/ocr/resources/trancoders/lowercase2uppercase.txt"
adj="adj-"
//adj=""
System.setProperty("eu.himeros.alignment.evaluator","/apps/ocr/resources/transcoders/lowercase2uppercase.txt")
edits.each{edit->
    pages.each{page->
        engines.each{engine->
            //AdjustOcr.main(edit+page+".0-"+engine,edit+page+".0-"+engine+"-adj","ocr2grk.txt","ocr2lat.txt")
            //println("adj: "+edit+"-"+page+"-"+engine)
            ErrorEvaluator.main(engine+adj+edit+page+".0.txt","gt-adj-"+edit+page+".0.txt","z-"+engine+edit+page+".0.eval")
            println("eval: "+edit+"-"+page+"-"+engine)
        }
    }
}
