/*
 * This software is licensed under GPLv3 <http://www.gnu.org/licenses/gpl-3.0.html>
 * 
 */

package eu.himeros.alignment;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author federico
 */
public class StringAlignerTest {

    public StringAlignerTest() {
    }

    @BeforeClass
    public static void setUpClass() throws Exception {
    }

    @AfterClass
    public static void tearDownClass() throws Exception {
    }

    @Before
    public void setUp() {
    }

    @After
    public void tearDown() {
    }

    /**
     * Test of align method, of class StringAligner.
     */
    @Test
    public void testAlign() {
        System.out.println("align");
        String strs1 = "casa";
        String strs2 = "casetta";
        StringAligner instance = new StringAligner();
        String[] expResult = new String[3];
        expResult[0]="cas---a";
        expResult[1]="casetta";
        expResult[2]="|||---|";
        String[] result = instance.align(strs1, strs2);
        int i=0;
        for(String s:result){
            System.out.println(s+" : "+expResult[i]);
            i++;
        }
    }

    /**
     * Test of simScore method, of class StringAligner.
     */
    @Test
    public void testSimScore() {
        System.out.println("simScore");
        char c1 = 'c';
        char c2 = 'x';
        StringAligner instance = new StringAligner();
        double expResult = 0.0;
        double result = instance.simScore(c1, c2);
        assertEquals(expResult, result, 0.0);
        // TODO review the generated test code and remove the default call to fail.
        //fail("The test case is a prototype.");
    }

    /**
     * Test of getAlignedStrings method, of class StringAligner.
     */
    @Test
    public void testGetAlignedStrings() {
        System.out.println("getAlignedStrings");
        StringAligner instance = new StringAligner();
        String[] expResult = null;
        String[] result = instance.getAlignedStrings();
        assertEquals(expResult, result);
        // TODO review the generated test code and remove the default call to fail.
        //fail("The test case is a prototype.");
    }

    /**
     * Test of adjustGap method, of class StringAligner.
     */
    @Test
    public void testAdjustGap() {
        System.out.println("adjustGap");
        String str1 = "";
        String str2 = "";
        StringAligner instance = new StringAligner();
        String expResult = "";
        String result = instance.adjustGap(str1, str2);
        assertEquals(expResult, result);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of getMixedString method, of class StringAligner.
     */
    @Test
    public void testGetMixedString() {
        System.out.println("getMixedString");
        StringAligner instance = new StringAligner();
        String expResult = "";
        String result = instance.getMixedString();
        assertEquals(expResult, result);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

}